package com.library.pdf.hr;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

public class RCTHrModule extends ReactContextBaseJavaModule {
    public RCTHrModule(ReactApplicationContext reactContext) {
        super(reactContext);
    }

    @Override
    public String getName() {
        return "HrModule";
    }

    @ReactMethod
    public void clearQueue(){
        HrManager.clearQueue();
    }

    @ReactMethod
    public void setPoolSize(int size){
        HrManager.setPoolSize(size);
    }

    @ReactMethod
    public void pauseQueue(){
        HrManager.pauseQueue();

    }

    @ReactMethod
    public void resumeQueue(){
        HrManager.resumeQueue();

    }
}
