# React Native Pdf

this library provides all views to render high quality page components

## Views

### Pdf
render a single pdf page with specific quality based on scale factor; 
- android pdf render is based on google pdfium
- ios pdf render uses builtin solution

### Pdf box
extract a specific box from pdf by coordinates

### Hr box
this component has different behavior on both platform
- ios simply render a box
- android has more complex behavior, check if hr file is available inside a zipgraph, or if file exists otherwise download the image and render it

### Graph box
this component extract a box from graph.jpg by coordinates

### Image
render png component

## Throubleshooting
- Premultiplied alpha on pdf render, see [Document](documents/bug_premultiplied_alpha.pdf)
