package com.library.viewer.listener;

import com.library.viewer.RenderingHandler;
import com.library.viewer.exception.PageRenderingException;
import com.library.viewer.model.PagePart;

public interface OnRenderingHandlerListener {
	void onTaskBitmapRendered(PagePart part);
	void onTaskBitmapRecycle(PagePart part);
	void onTaskBitmapFailed(RenderingHandler.RenderingTask task);
	void onTaskPageError(PageRenderingException e);
}
