import React from "react";
import PropTypes from "prop-types";
import { Platform, requireNativeComponent } from "react-native";
let Component;
export default class PngImage extends React.Component {
  static propTypes = {
    path: PropTypes.string,
    onImageError: PropTypes.func
  };
  constructor(props) {
    super(props);
    if (!Component && Platform.OS === "android") {
      Component = requireNativeComponent("RCTPngView", PngImage, {
        nativeOnly: {
          path: true,
          onChange: true
        }
      });
    }
  }
  render() {
    if (Component) {
      return /*#__PURE__*/React.createElement(Component, this.props);
    }
    return null;
  }
}
//# sourceMappingURL=image-component.js.map